# Class: RecentNote

## RecentNote()

RecentNote represents recently visited note.

## Constructor

#### new RecentNote()

Source:
  - becca/entities/recent_note.js, line 11

### Extends

- AbstractEntity

### Members

#### noteId :string

##### Type:

- string

Source:
  - becca/entities/recent_note.js, line 19

#### notePath :string

##### Type:

- string

Source:
  - becca/entities/recent_note.js, line 21

#### utcDateCreated :string

##### Type:

- string

Source:
  - becca/entities/recent_note.js, line 23

### Methods

#### markAsDeleted(deleteIdopt)

Mark the entity as (soft) deleted. It will be completely erased later. This is a low level method, for notes and branches use `note.deleteNote()` and 'branch.deleteBranch()` instead.

##### Parameters:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`deleteId` |  | <optional> | null |

Overrides:
  - AbstractEntity#markAsDeleted
Source:
  - becca/entities/abstract_entity.js, line 118

#### save() → {AbstractEntity}

Saves entity - executes SQL, but doesn't commit the transaction on its own

Overrides:
  - AbstractEntity#save
Source:
  - becca/entities/abstract_entity.js, line 73

##### Returns:

Type
  AbstractEntity